Name:           ocaml-magic
Version:        0.7.3
Release:        %mkrel 9
Summary:        OCaml bindings for the File type determination library
License:        LGPL
Group:          Development/OCaml
URL:            http://sourceforge.net/projects/ocaml-magic/
Source0:        http://sourceforge.net/projects/ocaml-magic/files/ocaml-magic-%{version}.tar.gz
BuildRequires:  libmagic-devel
BuildRequires:  ocaml-findlib
Requires:       libmagic-devel

%description
Libmagic is a library for classifying files according to magic number tests.
This package provides OCaml interface to this C library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure
make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/magic
make install

%files
%doc LICENSE README
%dir %{_libdir}/ocaml/magic
%{_libdir}/ocaml/magic/META
%{_libdir}/ocaml/magic/*.cma
%{_libdir}/ocaml/magic/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/
%{_libdir}/ocaml/magic/*.a
%{_libdir}/ocaml/magic/*.cmxa
%{_libdir}/ocaml/magic/*.cmx
%{_libdir}/ocaml/magic/*.mli


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 0.7.3-9.mga6
+ Revision: 956414
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.3-8.mga5
+ Revision: 745877
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.3-7.mga5
+ Revision: 683065
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.7.3-6.mga4
+ Revision: 508467
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.7.3-5.mga3
+ Revision: 361489
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.7.3-4.mga3
+ Revision: 301108
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.7.3-3.mga3
+ Revision: 300508
- new rpm group for ocaml

* Fri Feb 17 2012 malo <malo> 0.7.3-2.mga2
+ Revision: 210089
- missing requires libmagic-devel

* Wed Jan 11 2012 blue_prawn <blue_prawn> 0.7.3-1.mga2
+ Revision: 195051
- imported package ocaml-magic

